
Figure - Bug #118228
【IOVDEV-30322】【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（语音组
台架1）
2023-05-25 14:23 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-25

Priority: Urgent Due date: 2023-06-05

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: Found Version: 【中控版本号】：03.02.0080.c101��【副屏版本号】：01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【重启时间】：2023/5/24 18:00 ~ 5/25 09:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 9000+，怀疑system_srever被kill掉，安卓重启

日志地址：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

全量log：开发现场拉的log

History

#1 - 2023-05-25 14:24 - CDTS_Test 吴诗雨

副屏重启，开发现场分析

备注：此副屏设备硬件损坏不可touch，但不影响测试，非冻屏
#2 - 2023-05-25 14:57 - CD TPM-王祥林

根据目前的分析，判断monkey停止的原因可能是异常断电导致。原因如下：

1.从日志里看到Monkey开始时间为05-24 16:33:13.395，开机次数为第506次。最后一条monkey日志为05-25 09:17:51.522，开机次数仍然是第506次。

//monkey开始的日志

FSEM_000506_0212_0524165149/logcat/000506_persist_00367_230524_163208.log:518:05-24 16:33:13.395  9326  9326 D AndroidRuntime: Calling main entry

com.android.commands.monkey.Monkey

//最后一条monkey日志

./FSEM_000507_0245_0525091830/logcat/000506_persist_00995_230525_091731.log:1729:05-25 09:17:51.522  9326  9326 I Monkey  : Sleeping for 500 milliseconds

2.第506次最后一次打包的日志中可以看到system server的启动次数为1，说明system server只有在开机的时候启动过一次，跑monkey的过程中system server并

没有重启。

[sys.system_server.start_count]: [1]

3.从第507次开机后拿到控制器重启的代码可以看到，上次重启代码为reboot,9其中没有具体的重启原因，这种一般都是突然断电导致。

persist.sys.boot.reason.history]: [reboot,9

如果是正常重启会有具体的原因，比如上上次的重启原因为shell,是因为在命令行执行了adb reboot。

reboot,shell,1684895020

4.第506次开机的最后两份日志记录的信息为乱码，通常都是突然断电导致文件记录不完整。

000506_persist_00996_230525_091751.log

000506_persist_00997_230525_091801.log

#3 - 2023-05-25 16:40 - CD TPM-王祥林

- Subject changed from 【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（语音组台架1） to 【IOVDEV-30322】【自动化测

试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（语音组台架1）

#4 - 2023-05-26 18:20 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Need_Info deleted (--)

Hi 诗雨

根据目前的分析，判断monkey停止的原因可能是异常断电导致。原因如下：

1.从日志里看到Monkey开始时间为05-24 16:33:13.395，开机次数为第506次。最后一条monkey日志为05-25 09:17:51.522，开机次数仍然是第506次。

//monkey开始的日志

FSEM_000506_0212_0524165149/logcat/000506_persist_00367_230524_163208.log:518:05-24 16:33:13.395 9326 9326 D AndroidRuntime: Calling main entry

>com.android.commands.monkey.Monkey

//最后一条monkey日志

./FSEM_000507_0245_0525091830/logcat/000506_persist_00995_230525_091731.log:1729:05-25 09:17:51.522 9326 9326 I Monkey : Sleeping for 500 milliseconds

2.第506次最后一次打包的日志中可以看到system server的启动次数为1，说明system server只有在开机的时候启动过一次，跑monkey的过程中system

server并没有重启。

[sys.system_server.start_count]: [1]

3.从第507次开机后拿到控制器重启的代码可以看到，上次重启代码为reboot,9其中没有具体的重启原因，这种一般都是突然断电导致。

persist.sys.boot.reason.history]: [reboot,9

如果是正常重启会有具体的原因，比如上上次的重启原因为shell,是因为在命令行执行了adb reboot。

reboot,shell,1684895020

4.第506次开机的最后两份日志记录的信息为乱码，通常都是突然断电导致文件记录不完整。

000506_persist_00996_230525_091751.log

000506_persist_00997_230525_091801.log
重启原因是断电导致，不需要再继续分析了，请确认

#5 - 2023-05-26 18:21 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-26 18:21 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-26 18:21 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#8 - 2023-05-31 16:17 - CDTS-TEST 周婷

- Due date set to 2023-06-05
